#!/bin/sh
echo 'name: SafeSemaphore
version: 0.9.0
id: SafeSemaphore-0.9.0-540e070391326a509a25d8450fc478da

license: BSD3
copyright:
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
stability:
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
package-url:
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description: This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
             Those base modules are not exception safe and can be broken by killThread.
             See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
exposed-modules: Control.Concurrent.MSem Control.Concurrent.MSemN
                 Control.Concurrent.MSemN2 Control.Concurrent.MSampleVar
                 Control.Concurrent.FairRWLock Control.Concurrent.SSem
                 Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/SafeSemaphore-0.9.0
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/SafeSemaphore-0.9.0
              /usr/local/lib
hs-libraries: HSSafeSemaphore-0.9.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         stm-2.4.2-0f41fcf17f5bc067084394f47dbfe7cf
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/SafeSemaphore-0.9.0/html/SafeSemaphore.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/SafeSemaphore-0.9.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
